module Enlight
  module Models
    class CourseAssignment < Enlight::Models::Model
      attr_accessor :external_id
      attr_accessor :course_id
      attr_accessor :course_name
      attr_accessor :user_id
      attr_accessor :user_external_id
      attr_accessor :first_name
      attr_accessor :last_name
      attr_accessor :email
      attr_accessor :organization_id
      attr_accessor :club_membership_id
      attr_accessor :started
      attr_accessor :start
      attr_accessor :expires
      attr_accessor :expire
      attr_accessor :target_completion
      attr_accessor :target_completion_date
      attr_accessor :completed
      attr_accessor :complete
      attr_accessor :created
      attr_accessor :club_id
      attr_accessor :name
      attr_accessor :available_instructor_led
      attr_accessor :available_self_paced
      attr_accessor :organization_name
      attr_accessor :content_provider_id
      attr_accessor :content_provider_name
      attr_accessor :description
      attr_accessor :activites
      attr_accessor :tags
      attr_accessor :custom_fields
      attr_accessor :profile_image_url

      alias_method :activities, :activites
    end
  end
end

