require 'active_support/all'

module Enlight
  module Responses
    class Response
      attr_accessor :status
      attr_accessor :error

      def initialize(attributes={})
        attributes.deep_transform_keys! { |k| k.to_s.underscore }
        attributes.each {|k,v| send("#{k}=", v) if respond_to?(k) }
      end
    end
  end
end


