module Enlight
  module Responses
    class SearchSignInHistory < Enlight::Responses::Response
      include Enlight::Responses::Pageable

      def results=(value)
        if value.instance_of?(Array) && value.any?
          @results = []
          value.each {|v| @results.append(Enlight::Models::SignInHistory.new(v))}
        else
          @results = nil
        end
      end
    end
  end
end