require 'enlight/version'
require 'enlight/requests'
require 'enlight/responses'
require 'enlight/models'

module Enlight
  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  class Configuration
    attr_accessor :url
    attr_accessor :integration_key
    attr_accessor :organization_id

    def initialize
      @url = 'https://lmsacc.learnondemand.net/api/1.0'
    end
  end
end