module Enlight
  module Models
    class CourseCatalogSearchHistory < Enlight::Models::Model
      attr_accessor :user_id
      attr_accessor :user_external_id
      attr_accessor :first_name
      attr_accessor :last_name
      attr_accessor :organization_id
      attr_accessor :search
      attr_accessor :text_filter
      attr_accessor :page_index
      attr_accessor :club_ids
      attr_accessor :tags
      attr_accessor :num_results

      def tags=(value)
        if value.instance_of?(Array) && value.any?
          @tags = []
          value.each {|v| Enlight::Models::Tag.new(v)}
        else
          @tags = nil
        end
      end
    end
  end
end