module Enlight
  module Models
    class CourseTagGroup < Enlight::Models::Model
      attr_accessor :name
      attr_accessor :tags

      def tags=(value)
        if value.instance_of?(Array) && value.any?
          @tags = []
          value.each {|v| @tags.append(Enlight::Models::Tag.new(v))}
        else
          @tags = nil
        end
      end
    end
  end
end