module Enlight
  module Responses
    class ExportSurveyResponses < Enlight::Responses::Response
      attr_accessor :results

      def results=(value)
        if value.instance_of?(Array) && value.any?
          @results = []

          value.each do |v|
            @results.append(Enlight::Models::SurveyResponse.new(v))
          end
        else
          @results = nil
        end
      end
    end
  end
end