module Enlight
  module Responses
    class SearchClassEnrollments < Enlight::Responses::Response
      include Enlight::Responses::Pageable

      # TODO double check if LOD actually passes this value instead of results.. documentation might be wrong
      def class_enrollment_search_results=(value)
        results = value
      end

      def results=(value)
        if value.instance_of?(Array) && value.any?
          @results = []
          value.each {|v| @results.append(Enlight::Models::ClassEnrollment.new(v))}
        else
          @results = nil
        end
      end
    end
  end
end